%global modulename typescript

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-typescript
Version:        1.0.1
Release:        2%{?dist}
Summary:        TypeScript is a language for application scale JavaScript development

License:        ASL 2.0
URL:            http://typescriptlang.org/
Source0:        http://registry.npmjs.org/typescript/-/typescript-1.0.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
TypeScript is a language for application scale JavaScript development

%package 1.0.1
Summary:        TypeScript is a language for application scale JavaScript development


%description 1.0.1
TypeScript is a language for application scale JavaScript development

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
chmod +x %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/bin/tsc
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/tsc %{buildroot}/%{_bindir}/tsc


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CopyrightNotice.txt
%doc LICENSE.txt
%doc README.txt
%doc ThirdPartyNoticeText.txt
%{_bindir}/tsc
%{nodejs_dir}/%{modulename}

%files 1.0.1
%doc CopyrightNotice.txt
%doc LICENSE.txt
%doc README.txt
%doc ThirdPartyNoticeText.txt
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 1.0.1-2
- Package automatically generated by npm2srpm
